export interface Status {
    forkDigest: string;
    finalizedRoot: string;
    finalizedEpoch: number;
    headRoot: string;
    headSlot: number;
}
export declare class PeerError extends Error {
    code: ErrorCode;
    constructor(message: string, code: ErrorCode);
}
export declare enum ErrorCode {
    SECP256K1_PEER_ID_FAILED = "SECP256K1_PEER_ID_FAILED",
    LIBP2P_START_FAILED = "LIBP2P_START_FAILED",
    MALFORMED_ENR = "MALFORMED_ENR",
    NO_VALID_MULTIADDR = "NO_VALID_MULTIADDR",
    LIBP2P_DIALIER_NODE_START_FAILED = "LIBP2P_DIALIER_NODE_START_FAILED",
    LIBP2P_DIALIER_DIAL_FAILED = "LIBP2P_DIALIER_DIAL_FAILED",
    PEER_STATUS_FAILED = "PEER_STATUS_FAILED",
    PEER_STATUS_NOT_SUCCESSFUL = "PEER_STATUS_NOT_SUCCESSFUL",
    PEER_STATUS_SSZ_LENGTH_INVALID = "PEER_STATUS_SSZ_LENGTH_INVALID",
    PEER_STATUS_SSZ_LENGTH_TOO_LARGE = "PEER_STATUS_SSZ_LENGTH_TOO_LARGE",
    PEER_STATUS_SSZ_LENGTH_TOO_SMALL = "PEER_STATUS_SSZ_LENGTH_TOO_SMALL",
    PEER_STATUS_IDENTIFIER_INVALID = "PEER_STATUS_IDENTIFIER_INVALID",
    PEER_STATUS_CHUNK_TYPE_INVALID = "PEER_STATUS_CHUNK_TYPE_INVALID"
}
export default function pest({ enr: enrTxt, timeout, }: {
    enr: string;
    timeout?: number;
}): Promise<Status | undefined>;
